// eslint-disable-next-line
import {
  UserLayout,
  BasicLayout,
  RouteView,
  BlankLayout,
  PageView
} from '@/layouts'

export const asyncRouterMap = [
  {
    path: '/',
    name: 'index',
    component: BasicLayout,
    meta: { title: '首页' },
    redirect: '/home',
    children: [
      {
        path: '/home',
        name: 'home',
        redirect: '/home',
        component: PageView,
        meta: {
          title: '首页',
          icon: 'home'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/home',
            name: 'home',
            component: () => import(/* webpackChunkName: "home" */ '@/views/Home'),
            meta: {
              title: '首页',
              icon: 'home',
              hide: true
            }
          }
        ]
      },
      {
        path: '/changePwd',
        name: 'changePwd',
        component: () => import(/* webpackChunkName: "home" */ '@/views/user/ChangePwd'),
        meta: {
          title: '修改密码',
          icon: 'home'
        },
        hidden: true
      },
      // 销售管理
      // {
      //   path: '/salesManagement',
      //   redirect: '/salesManagement/salesQuery',
      //   component: PageView,
      //   meta: {
      //     title: '销售管理',
      //     icon: 'account-book'
      //     // permission: 'M_salesManagement'
      //   },
      //   children: [
      //     {
      //       path: '/salesManagement/salesQuery',
      //       redirect: '/salesManagement/salesQuery/list',
      //       name: 'salesQuery',
      //       component: RouteView,
      //       meta: {
      //         title: '销售单查询',
      //         icon: 'monitor'
      //         // permission: 'M_salesQuery_list'
      //       },
      //       hideChildrenInMenu: true,
      //       children: [
      //         {
      //           path: 'list',
      //           name: 'salesQueryList',
      //           component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/list.vue'),
      //           meta: {
      //             title: '销售单列表',
      //             icon: 'monitor',
      //             hidden: true
      //             // permission: 'M_salesQuery_list'
      //           }
      //         },
      //         {
      //           path: 'detail/:id/:sn',
      //           name: 'salesDetail',
      //           component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/detail.vue'),
      //           meta: {
      //             title: '销售单详情',
      //             icon: 'monitor',
      //             hidden: true
      //             // permission: 'M_salesDetail'
      //           }
      //         },
      //         {
      //           path: 'add',
      //           name: 'salesAdd',
      //           component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/edit.vue'),
      //           meta: {
      //             title: '新增销售单',
      //             icon: 'monitor',
      //             hidden: true
      //             // permission: 'M_salesNew'
      //           }
      //         },
      //         {
      //           path: 'edit/:id',
      //           name: 'salesEdit',
      //           component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/edit.vue'),
      //           meta: {
      //             title: '编辑销售单',
      //             icon: 'monitor',
      //             hidden: true
      //             // permission: 'M_salesNew'
      //           }
      //         }
      //       ]
      //     },
      //     {
      //       path: '/salesManagement/outboundOrder',
      //       redirect: '/salesManagement/outboundOrder/list',
      //       name: 'outboundOrder',
      //       component: RouteView,
      //       meta: {
      //         title: '出库',
      //         icon: 'export'
      //         // permission: 'M_outboundOrder'
      //       },
      //       hideChildrenInMenu: true,
      //       children: [
      //         {
      //           path: 'list',
      //           name: 'outboundOrderList',
      //           component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/outboundOrder/list.vue'),
      //           meta: {
      //             title: '出库列表',
      //             icon: 'export',
      //             hidden: true
      //             // permission: 'M_outboundOrder_list'
      //           }
      //         },
      //         {
      //           path: 'detail/:id',
      //           name: 'outboundOrderDetail',
      //           component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/outboundOrder/detail.vue'),
      //           meta: {
      //             title: '出库明细',
      //             icon: 'export',
      //             hidden: true
      //             // permission: 'B_goodsManage_edit'
      //           }
      //         }
      //       ]
      //     },
      //     {
      //       path: '/salesManagement/urgentItemsOffset',
      //       redirect: '/salesManagement/urgentItemsOffset/list',
      //       name: 'urgentItemsOffset',
      //       component: RouteView,
      //       meta: {
      //         title: '急件冲减',
      //         icon: 'rocket'
      //         // permission: 'M_goodsManage_list'
      //       },
      //       hideChildrenInMenu: true,
      //       children: [
      //         {
      //           path: 'list',
      //           name: 'urgentItemsOffsetList',
      //           component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/urgentItemsOffset/list.vue'),
      //           meta: {
      //             title: '急件冲减列表',
      //             icon: 'rocket',
      //             hidden: true
      //             // permission: 'M_goodsManage_list'
      //           }
      //         },
      //         {
      //           path: 'detail/:id/:sn',
      //           name: 'urgentItemsOffsetDetail',
      //           component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/urgentItemsOffset/detail.vue'),
      //           meta: {
      //             title: '急件冲减详情',
      //             icon: 'rocket',
      //             hidden: true
      //             // permission: 'B_goodsManage_edit'
      //           }
      //         }
      //       ]
      //     },
      //     {
      //       path: '/salesManagement/salesReturn',
      //       redirect: '/salesManagement/salesReturn/list',
      //       name: 'salesReturn',
      //       component: RouteView,
      //       meta: {
      //         title: '销售退货',
      //         icon: 'fund'
      //         // permission: 'M_salesReturn_list'
      //       },
      //       hideChildrenInMenu: true,
      //       children: [
      //         {
      //           path: 'list',
      //           name: 'salesReturnList',
      //           component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/list.vue'),
      //           meta: {
      //             title: '退货单列表',
      //             icon: 'fund',
      //             hidden: true
      //             // permission: 'M_salesReturn_list'
      //           }
      //         },
      //         {
      //           path: 'detail/:id/:sn',
      //           name: 'salesReturnDetail',
      //           component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/detail.vue'),
      //           meta: {
      //             title: '退货单详情',
      //             icon: 'fund',
      //             hidden: true
      //             // permission: 'M_salesReturn'
      //           }
      //         },
      //         {
      //           path: 'salesReturnNew',
      //           name: 'salesReturnNew',
      //           component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/salesReturnNew.vue'),
      //           meta: {
      //             title: '新增退货单',
      //             icon: 'fund',
      //             hidden: true
      //             // permission: 'M_salesReturnNew'
      //           }
      //         },
      //         {
      //           path: 'salesReturnEdit/:id',
      //           name: 'salesReturnEdit',
      //           component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/salesReturnNew.vue'),
      //           meta: {
      //             title: '编辑退货单',
      //             icon: 'fund',
      //             hidden: true
      //             // permission: 'M_salesReturnEdit'
      //           }
      //         }
      //       ]
      //     },
      //     // {    二期
      //     //   path: '/salesManagement/quotation',
      //     //   redirect: '/salesManagement/quotation/list',
      //     //   name: 'quotation',
      //     //   component: RouteView,
      //     //   meta: {
      //     //     title: '报价单',
      //     //     icon: 'idcard'
      //     //     // permission: 'M_goodsManage_list'
      //     //   },
      //     //   hideChildrenInMenu: true,
      //     //   children: [
      //     //     {
      //     //       path: 'list',
      //     //       name: 'quotationList',
      //     //       component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/quotation/list.vue'),
      //     //       meta: {
      //     //         title: '报价单列表',
      //     //         icon: 'idcard',
      //     //         hidden: true
      //     //         // permission: 'M_goodsManage_list'
      //     //       }
      //     //     },
      //     //     {
      //     //       path: 'add',
      //     //       name: 'quotationAdd',
      //     //       component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/quotation/edit.vue'),
      //     //       meta: {
      //     //         title: '新增报价单',
      //     //         icon: 'idcard',
      //     //         hidden: true
      //     //         // permission: 'M_goodsManage_list'
      //     //       }
      //     //     },
      //     //     {
      //     //       path: 'edit/:id',
      //     //       name: 'quotationEdit',
      //     //       component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/quotation/edit.vue'),
      //     //       meta: {
      //     //         title: '编辑报价单',
      //     //         icon: 'idcard',
      //     //         hidden: true
      //     //         // permission: 'M_goodsManage_list'
      //     //       }
      //     //     },
      //     //     {
      //     //       path: 'detail/:id',
      //     //       name: 'quotationDetail',
      //     //       component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/quotation/detail.vue'),
      //     //       meta: {
      //     //         title: '报价单详情',
      //     //         icon: 'idcard',
      //     //         hidden: true
      //     //         // permission: 'M_goodsManage_list'
      //     //       }
      //     //     }
      //     //   ]
      //     // },
      //     {
      //       path: '/salesManagement/giftRecord',
      //       redirect: '/salesManagement/giftRecord/list',
      //       name: 'giftRecord',
      //       component: RouteView,
      //       meta: {
      //         title: '赠品记录',
      //         icon: 'file-search'
      //         // permission: 'M_goodsManage_list'
      //       },
      //       hideChildrenInMenu: true,
      //       children: [
      //         {
      //           path: 'list',
      //           name: 'giftRecordList',
      //           component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/giftRecord/list.vue'),
      //           meta: {
      //             title: '赠品记录列表',
      //             icon: 'file-search',
      //             hidden: true
      //             // permission: 'M_goodsManage_list'
      //           }
      //         }
      //       ]
      //     }
      //   ]
      // },
      // 采购管理
      {
        path: '/purchasingManagement',
        redirect: '/purchasingManagement/purchaseOrder',
        component: PageView,
        meta: {
          title: '采购管理',
          icon: 'money-collect'
          // permission: 'M_shop'
        },
        children: [
          {
            path: '/purchasingManagement/purchaseOrder',
            redirect: '/purchasingManagement/purchaseOrder/list',
            name: 'purchaseOrder',
            component: RouteView,
            meta: {
              title: '采购单管理',
              icon: 'money-collect'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'purchaseOrderList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/purchaseOrder/list.vue'),
                meta: {
                  title: '采购单列表',
                  icon: 'money-collect',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              },
              {
                path: 'add',
                name: 'purchaseOrderAdd',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/purchaseOrder/edit.vue'),
                meta: {
                  title: '新增采购单',
                  icon: 'money-collect',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'edit/:id',
                name: 'purchaseOrderEdit',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/purchaseOrder/edit.vue'),
                meta: {
                  title: '编辑采购单',
                  icon: 'money-collect',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'detail/:id',
                name: 'purchaseOrderDetail',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/purchaseOrder/detail.vue'),
                meta: {
                  title: '采购单详情',
                  icon: 'money-collect',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'warehousing/:id',
                name: 'purchaseOrderWarehousing',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/purchaseOrder/warehousing.vue'),
                meta: {
                  title: '入库',
                  icon: 'money-collect',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          }
        ]
      },
      // 调拨管理
      // {
      //   path: '/allocationManagement',
      //   redirect: '/allocationManagement/warehouseAllocation',
      //   component: PageView,
      //   meta: {
      //     title: '调拨管理',
      //     icon: 'cluster'
      //     // permission: 'M_shop'
      //   },
      //   children: [
      //     {
      //       path: '/allocationManagement/warehouseAllocation',
      //       redirect: '/allocationManagement/warehouseAllocation/list',
      //       name: 'warehouseAllocation',
      //       component: RouteView,
      //       meta: {
      //         title: '仓库调拨',
      //         icon: 'gateway'
      //         // permission: 'M_goodsManage_list'
      //       },
      //       hideChildrenInMenu: true,
      //       children: [
      //         {
      //           path: 'list',
      //           name: 'warehouseAllocationList',
      //           component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/warehouseAllocation/list.vue'),
      //           meta: {
      //             title: '仓库调拨列表',
      //             icon: 'gateway',
      //             hidden: true
      //             // permission: 'M_goodsManage_list'
      //           }
      //         },
      //         {
      //           path: 'add',
      //           name: 'warehouseAllocationAdd',
      //           component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/warehouseAllocation/edit.vue'),
      //           meta: {
      //             title: '新增仓库调拨',
      //             icon: 'gateway',
      //             hidden: true
      //             // permission: 'B_goodsManage_edit'
      //           }
      //         },
      //         {
      //           path: 'edit/:id',
      //           name: 'warehouseAllocationEdit',
      //           component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/warehouseAllocation/edit.vue'),
      //           meta: {
      //             title: '编辑仓库调拨',
      //             icon: 'gateway',
      //             hidden: true
      //             // permission: 'B_goodsManage_edit'
      //           }
      //         },
      //         {
      //           path: 'detail/:id/:sn',
      //           name: 'warehouseAllocationDetail',
      //           component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/warehouseAllocation/detail.vue'),
      //           meta: {
      //             title: '仓库调拨详情',
      //             icon: 'gateway',
      //             hidden: true
      //             // permission: 'B_goodsManage_edit'
      //           }
      //         }
      //       ]
      //     },
      //     {
      //       path: '/allocationManagement/chainTransferIn',
      //       redirect: '/allocationManagement/chainTransferIn/list',
      //       name: 'chainTransferIn',
      //       component: RouteView,
      //       meta: {
      //         title: '连锁调入',
      //         icon: 'cluster'
      //         // permission: 'M_goodsManage_list'
      //       },
      //       hideChildrenInMenu: true,
      //       children: [
      //         {
      //           path: 'list',
      //           name: 'chainTransferInList',
      //           component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/chainTransferIn/list.vue'),
      //           meta: {
      //             title: '连锁调入列表',
      //             icon: 'cluster',
      //             hidden: true
      //             // permission: 'M_goodsManage_list'
      //           }
      //         },
      //         {
      //           path: 'add',
      //           name: 'chainTransferInAdd',
      //           component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/chainTransferIn/edit.vue'),
      //           meta: {
      //             title: '新增连锁调入',
      //             icon: 'cluster',
      //             hidden: true
      //             // permission: 'B_goodsManage_edit'
      //           }
      //         },
      //         {
      //           path: 'edit/:id',
      //           name: 'chainTransferInEdit',
      //           component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/chainTransferIn/edit.vue'),
      //           meta: {
      //             title: '编辑连锁调入',
      //             icon: 'cluster',
      //             hidden: true
      //             // permission: 'B_goodsManage_edit'
      //           }
      //         },
      //         {
      //           path: 'detail/:id/:sn',
      //           name: 'chainTransferInDetail',
      //           component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/chainTransferIn/detail.vue'),
      //           meta: {
      //             title: '连锁调入详情',
      //             icon: 'cluster',
      //             hidden: true
      //             // permission: 'B_goodsManage_edit'
      //           }
      //         }
      //       ]
      //     },
      //     {
      //       path: '/allocationManagement/chainTransferOut',
      //       redirect: '/allocationManagement/chainTransferOut/list',
      //       name: 'chainTransferOut',
      //       component: RouteView,
      //       meta: {
      //         title: '连锁调出',
      //         icon: 'pull-request'
      //         // permission: 'M_goodsManage_list'
      //       },
      //       hideChildrenInMenu: true,
      //       children: [
      //         {
      //           path: 'list',
      //           name: 'chainTransferOutList',
      //           component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/chainTransferOut/list.vue'),
      //           meta: {
      //             title: '连锁调出列表',
      //             icon: 'pull-request',
      //             hidden: true
      //             // permission: 'M_goodsManage_list'
      //           }
      //         },
      //         {
      //           path: 'add',
      //           name: 'chainTransferOutAdd',
      //           component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/chainTransferOut/edit.vue'),
      //           meta: {
      //             title: '新增连锁调出',
      //             icon: 'pull-request',
      //             hidden: true
      //             // permission: 'B_goodsManage_edit'
      //           }
      //         },
      //         {
      //           path: 'edit/:id',
      //           name: 'chainTransferOutEdit',
      //           component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/chainTransferOut/edit.vue'),
      //           meta: {
      //             title: '编辑连锁调出',
      //             icon: 'pull-request',
      //             hidden: true
      //             // permission: 'B_goodsManage_edit'
      //           }
      //         },
      //         {
      //           path: 'detail/:id/:sn',
      //           name: 'chainTransferOutDetail',
      //           component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/chainTransferOut/detail.vue'),
      //           meta: {
      //             title: '连锁调出详情',
      //             icon: 'pull-request',
      //             hidden: true
      //             // permission: 'B_goodsManage_edit'
      //           }
      //         }
      //       ]
      //     },
      //     {
      //       path: '/allocationManagement/storeTransferOut',
      //       redirect: '/allocationManagement/storeTransferOut/list',
      //       name: 'storeTransferOut',
      //       component: RouteView,
      //       meta: {
      //         title: '店内调出',
      //         icon: 'interaction'
      //         // permission: 'M_goodsManage_list'
      //       },
      //       hideChildrenInMenu: true,
      //       children: [
      //         {
      //           path: 'list',
      //           name: 'storeTransferOutList',
      //           component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/storeTransferOut/list.vue'),
      //           meta: {
      //             title: '店内调出列表',
      //             icon: 'interaction',
      //             hidden: true
      //             // permission: 'M_goodsManage_list'
      //           }
      //         },
      //         {
      //           path: 'add',
      //           name: 'storeTransferOutAdd',
      //           component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/storeTransferOut/edit.vue'),
      //           meta: {
      //             title: '新增店内调出',
      //             icon: 'interaction',
      //             hidden: true
      //             // permission: 'B_goodsManage_edit'
      //           }
      //         },
      //         {
      //           path: 'edit/:id',
      //           name: 'storeTransferOutEdit',
      //           component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/storeTransferOut/edit.vue'),
      //           meta: {
      //             title: '编辑店内调出',
      //             icon: 'interaction',
      //             hidden: true
      //             // permission: 'B_goodsManage_edit'
      //           }
      //         },
      //         {
      //           path: 'detail/:id/:sn',
      //           name: 'storeTransferOutDetail',
      //           component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/storeTransferOut/detail.vue'),
      //           meta: {
      //             title: '店内调出详情',
      //             icon: 'interaction',
      //             hidden: true
      //             // permission: 'B_goodsManage_edit'
      //           }
      //         }
      //       ]
      //     }
      //   ]
      // },
      // 库存管理
      {
        path: '/inventoryManagement',
        redirect: '/inventoryManagement/inventoryQuery',
        component: PageView,
        meta: {
          title: '库存管理',
          icon: 'shop',
          permission: 'M_inventory'
        },
        children: [
          {
            path: '/inventoryManagement/inventoryQuery',
            redirect: '/inventoryManagement/inventoryQuery/list',
            name: 'inventoryQuery',
            component: RouteView,
            meta: {
              title: '库存查询',
              icon: 'monitor',
              permission: 'M_inventory_inventoryQuery_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'inventoryQueryList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryQuery/list.vue'),
                meta: {
                  title: '库存列表',
                  icon: 'monitor',
                  hidden: true,
                  permission: 'M_inventory_inventoryQuery_list'
                }
              },
              {
                path: 'warehouseDetail/:id',
                name: 'inventoryQueryWarehouseDetail',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryQuery/warehouseDetail.vue'),
                meta: {
                  title: '出入库明细',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          },
          // {
          //   path: '/inventoryManagement/inventoryWarning',
          //   name: 'inventoryWarningList',
          //   component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryWarning/list.vue'),
          //   meta: {
          //     title: '库存预警',
          //     icon: 'alert'
          //     // permission: 'M_goodsShelves_0'
          //   }
          // },
          // {
          //   path: '/inventoryManagement/satelliteWarehouseInventory',
          //   name: 'satelliteWarehouseInventoryList',
          //   component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/satelliteWarehouseInventory/list.vue'),
          //   meta: {
          //     title: '卫星仓库存',
          //     icon: 'flag'
          //     // permission: 'M_goodsShelves_0'
          //   }
          // },
          {
            path: '/inventoryManagement/warehouse',
            redirect: '/inventoryManagement/warehouse/list',
            name: 'warehouse',
            component: RouteView,
            meta: {
              title: '仓库管理',
              icon: 'deployment-unit',
              permission: 'M_inventory_warehouse_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'warehouseList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/warehouse/list.vue'),
                meta: {
                  title: '仓库列表',
                  icon: 'deployment-unit',
                  hidden: true,
                  permission: 'M_inventory_warehouse_list'
                }
              },
              {
                path: '/inventoryManagement/storingLocation/:sn',
                name: 'storingLocationList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/warehouse/storingLocation/list.vue'),
                meta: {
                  title: '仓位列表',
                  icon: 'deployment-unit',
                  hidden: true,
                  permission: 'M_inventory_warehouse_storingLocation_list'
                }
              }
            ]
          }
          // {
          //   path: '/inventoryManagement/inventoryChecking',
          //   redirect: '/inventoryManagement/inventoryChecking/list',
          //   name: 'inventoryChecking',
          //   component: RouteView,
          //   meta: {
          //     title: '库存盘点',
          //     icon: 'reconciliation'
          //     // permission: 'M_goodsManage_list'
          //   },
          //   hideChildrenInMenu: true,
          //   children: [
          //     {
          //       path: 'list',
          //       name: 'inventoryCheckingList',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/list.vue'),
          //       meta: {
          //         title: '库存盘点列表',
          //         icon: 'reconciliation',
          //         hidden: true
          //         // permission: 'M_goodsManage_list'
          //       }
          //     },
          //     {
          //       path: 'overall/:id',
          //       name: 'inventoryCheckingOverall',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/overall.vue'),
          //       meta: {
          //         title: '盘点人盘点【全盘】',
          //         icon: 'reconciliation',
          //         hidden: true
          //         // permission: 'B_goodsManage_edit'
          //       }
          //     },
          //     {
          //       path: 'selfDisk/:id',
          //       name: 'inventoryCheckingSelfDisk',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/selfDisk.vue'),
          //       meta: {
          //         title: '盘点人盘点【自选盘点】',
          //         icon: 'reconciliation',
          //         hidden: true
          //         // permission: 'B_goodsManage_edit'
          //       }
          //     },
          //     {
          //       path: 'detail/:id',
          //       name: 'inventoryCheckingDetail',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/detail.vue'),
          //       meta: {
          //         title: '库存盘点详情',
          //         icon: 'reconciliation',
          //         hidden: true
          //         // permission: 'B_goodsManage_edit'
          //       }
          //     },
          //     {
          //       path: 'makeInventory/:id',
          //       name: 'inventoryCheckingMakeInventory',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/makeInventory.vue'),
          //       meta: {
          //         title: '待盘点【盘点】',
          //         icon: 'reconciliation',
          //         hidden: true
          //         // permission: 'B_goodsManage_edit'
          //       }
          //     },
          //     {
          //       path: 'makeInventory/detail/:id', /* 待盘点【盘点】详情  */
          //       name: 'inventoryCheckingMakeInventoryDetail',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/makeInventoryDetail.vue'),
          //       meta: {
          //         title: '库存盘点详情',
          //         icon: 'reconciliation',
          //         hidden: true
          //         // permission: 'B_goodsManage_edit'
          //       }
          //     },
          //     {
          //       path: 'financialAudit/detail/:id', /* 财务审核详情  */
          //       name: 'inventoryCheckingFinancialAuditDetail',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/financialAuditDetail.vue'),
          //       meta: {
          //         title: '库存盘点详情',
          //         icon: 'reconciliation',
          //         hidden: true
          //         // permission: 'B_goodsManage_edit'
          //       }
          //     }
          //   ]
          // }
        ]
      },
      // 客户管理
      {
        path: '/customerManagement',
        redirect: '/customerManagement/customerInfo',
        component: PageView,
        meta: {
          title: '客户管理',
          icon: 'idcard',
          permission: 'M_customer_customerInfo_list'
        },
        children: [
          {
            path: '/customerManagement/customerInfo',
            redirect: '/customerManagement/customerInfo/list',
            name: 'customerInfo',
            component: RouteView,
            meta: {
              title: '客户管理',
              icon: 'idcard',
              permission: 'M_customer_customerInfo_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'customerInfoList',
                component: () => import(/* webpackChunkName: "customerManagement" */ '@/views/customerManagement/customerInfo/list.vue'),
                meta: {
                  title: '客户列表',
                  icon: 'idcard',
                  hidden: true,
                  permission: 'M_customer_customerInfo_list'
                }
              },
              {
                path: 'add',
                name: 'customerInfoAdd',
                component: () => import(/* webpackChunkName: "customerManagement" */ '@/views/customerManagement/customerInfo/edit.vue'),
                meta: {
                  title: '新增客户',
                  icon: 'idcard',
                  hidden: true,
                  permission: 'B_customer_customerInfo_add'
                }
              },
              {
                path: 'edit/:id',
                name: 'customerInfoEdit',
                component: () => import(/* webpackChunkName: "customerManagement" */ '@/views/customerManagement/customerInfo/edit.vue'),
                meta: {
                  title: '编辑客户',
                  icon: 'idcard',
                  hidden: true,
                  permission: 'B_customer_customerInfo_edit'
                }
              }
            ]
          }
        ]
      },
      // 产品管理
      {
        path: '/productManagement',
        redirect: '/productManagement/productInfo',
        component: PageView,
        meta: {
          title: '产品管理',
          icon: 'shopping',
          permission: 'M_product'
        },
        children: [
          {
            path: '/productManagement/productInfo',
            redirect: '/productManagement/productInfo/list',
            name: 'productInfo',
            component: RouteView,
            meta: {
              title: '产品信息管理（自建）',
              icon: 'file-text',
              permission: 'M_product_dealerProduct_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productInfoList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productInfo/list.vue'),
                meta: {
                  title: '产品信息列表',
                  icon: 'file-text',
                  hidden: true,
                  permission: 'M_product_dealerProduct_list'
                }
              },
              {
                path: 'add',
                name: 'productInfoAdd',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productInfo/edit.vue'),
                meta: {
                  title: '新增产品',
                  icon: 'file-text',
                  hidden: true,
                  permission: 'B_product_dealerProduct_add'
                }
              },
              {
                path: 'edit/:id',
                name: 'productInfoEdit',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productInfo/edit.vue'),
                meta: {
                  title: '编辑产品',
                  icon: 'file-text',
                  hidden: true,
                  permission: 'B_product_dealerProduct_edit'
                }
              }
            ]
          },
          {
            path: '/productManagement/productInfoJg',
            redirect: '/productManagement/productInfoJg/list',
            name: 'productInfoJg',
            component: RouteView,
            meta: {
              title: '产品信息管理（箭冠）',
              icon: 'file-text',
              permission: 'M_product_product_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productInfoJgList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productInfoJg/list.vue'),
                meta: {
                  title: '产品信息列表',
                  icon: 'file-text',
                  hidden: true,
                  permission: 'M_product_product_list'
                }
              }
            ]
          },
          {
            path: '/productManagement/productBrand',
            redirect: '/productManagement/productBrand/list',
            name: 'productBrand',
            component: RouteView,
            meta: {
              title: '产品品牌管理',
              icon: 'sketch',
              permission: 'M_product_dealerProductBrand_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productBrandList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productBrand/list.vue'),
                meta: {
                  title: '产品品牌列表',
                  icon: 'sketch',
                  hidden: true,
                  permission: 'M_product_dealerProductBrand_list'
                }
              }
            ]
          },
          {
            path: '/productManagement/productCategory',
            redirect: '/productManagement/productCategory/list',
            name: 'productCategory',
            component: RouteView,
            meta: {
              title: '产品分类管理',
              icon: 'sliders',
              permission: 'M_product_dealerProductType_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productCategoryList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productCategory/list.vue'),
                meta: {
                  title: '产品分类列表',
                  icon: 'sliders',
                  hidden: true,
                  permission: 'M_product_dealerProductType_list'
                }
              }
            ]
          }
        ]
      },
      //  供应商管理
      {
        path: '/supplierManagement',
        redirect: '/supplierManagement/supplierInfo',
        component: PageView,
        meta: {
          title: '供应商管理',
          icon: 'team',
          permission: 'M_supplier_supplierInfo_list'
        },
        children: [
          {
            path: '/supplierManagement/supplierInfo',
            redirect: '/supplierManagement/supplierInfo/list',
            name: 'supplierInfo',
            component: RouteView,
            meta: {
              title: '供应商管理',
              icon: 'team',
              permission: 'M_supplier_supplierInfo_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'supplierInfoList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/supplierManagement/supplierInfo/list.vue'),
                meta: {
                  title: '供应商列表',
                  icon: 'team',
                  hidden: true,
                  permission: 'M_supplier_supplierInfo_list'
                }
              },
              {
                path: 'add',
                name: 'supplierInfoAdd',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/supplierManagement/supplierInfo/edit.vue'),
                meta: {
                  title: '新增供应商',
                  icon: 'team',
                  hidden: true,
                  permission: 'B_supplier_supplierInfo_add'
                }
              },
              {
                path: 'edit/:id',
                name: 'supplierInfoEdit',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/supplierManagement/supplierInfo/edit.vue'),
                meta: {
                  title: '编辑供应商',
                  icon: 'team',
                  hidden: true,
                  permission: 'B_supplier_supplierInfo_edit'
                }
              }
            ]
          }
        ]
      },
      // 散件管理
      // {
      //   path: '/bulkManagement',
      //   redirect: '/bulkManagement/purchaseOrder',
      //   component: PageView,
      //   meta: {
      //     title: '散件管理',
      //     icon: 'gold'
      //     // permission: 'M_shop'
      //   },
      //   children: [
      //     {
      //       path: '/bulkManagement/bulkWarehousingOrder',
      //       redirect: '/bulkManagement/bulkWarehousingOrder/list',
      //       name: 'bulkWarehousingOrder',
      //       component: RouteView,
      //       meta: {
      //         title: '散件入库',
      //         icon: 'gold'
      //         // permission: 'M_goodsManage_list'
      //       },
      //       hideChildrenInMenu: true,
      //       children: [
      //         {
      //           path: 'list',
      //           name: 'bulkWarehousingOrderList',
      //           component: () => import(/* webpackChunkName: "shop" */ '@/views/bulkManagement/bulkWarehousingOrder/list.vue'),
      //           meta: {
      //             title: '散件入库单列表',
      //             icon: 'gold',
      //             hidden: true
      //             // permission: 'M_goodsManage_list'
      //           }
      //         },
      //         {
      //           path: 'add',
      //           name: 'bulkWarehousingOrderAdd',
      //           component: () => import(/* webpackChunkName: "shop" */ '@/views/bulkManagement/bulkWarehousingOrder/edit.vue'),
      //           meta: {
      //             title: '新增散件入库单',
      //             icon: 'gold',
      //             hidden: true
      //             // permission: 'B_goodsManage_edit'
      //           }
      //         },
      //         {
      //           path: 'edit/:id',
      //           name: 'bulkWarehousingOrderEdit',
      //           component: () => import(/* webpackChunkName: "shop" */ '@/views/bulkManagement/bulkWarehousingOrder/edit.vue'),
      //           meta: {
      //             title: '编辑散件入库单',
      //             icon: 'gold',
      //             hidden: true
      //             // permission: 'B_goodsManage_edit'
      //           }
      //         },
      //         {
      //           path: 'detail/:id',
      //           name: 'bulkWarehousingOrderDetail',
      //           component: () => import(/* webpackChunkName: "shop" */ '@/views/bulkManagement/bulkWarehousingOrder/detail.vue'),
      //           meta: {
      //             title: '散件入库单详情',
      //             icon: 'gold',
      //             hidden: true
      //             // permission: 'B_goodsManage_edit'
      //           }
      //         }
      //       ]
      //     },
      //     {
      //       path: '/bulkManagement/bulkReturnGoods',
      //       redirect: '/bulkManagement/bulkReturnGoods/list',
      //       name: 'bulkReturnGoods',
      //       component: RouteView,
      //       meta: {
      //         title: '散件退货',
      //         icon: 'frown'
      //         // permission: 'M_goodsManage_list'
      //       },
      //       hideChildrenInMenu: true,
      //       children: [
      //         {
      //           path: 'list',
      //           name: 'bulkReturnGoodsList',
      //           component: () => import(/* webpackChunkName: "shop" */ '@/views/bulkManagement/bulkReturnGoods/list.vue'),
      //           meta: {
      //             title: '散件退货列表',
      //             icon: 'frown',
      //             hidden: true
      //             // permission: 'M_goodsManage_list'
      //           }
      //         },
      //         {
      //           path: 'add',
      //           name: 'bulkReturnGoodsAdd',
      //           component: () => import(/* webpackChunkName: "shop" */ '@/views/bulkManagement/bulkReturnGoods/edit.vue'),
      //           meta: {
      //             title: '新增散件退货单',
      //             icon: 'frown',
      //             hidden: true
      //             // permission: 'B_goodsManage_edit'
      //           }
      //         },
      //         {
      //           path: 'edit/:id',
      //           name: 'bulkReturnGoodsEdit',
      //           component: () => import(/* webpackChunkName: "shop" */ '@/views/bulkManagement/bulkReturnGoods/edit.vue'),
      //           meta: {
      //             title: '编辑散件退货单',
      //             icon: 'frown',
      //             hidden: true
      //             // permission: 'B_goodsManage_edit'
      //           }
      //         },
      //         {
      //           path: 'detail/:id',
      //           name: 'bulkReturnGoodsDetail',
      //           component: () => import(/* webpackChunkName: "shop" */ '@/views/bulkManagement/bulkReturnGoods/detail.vue'),
      //           meta: {
      //             title: '散件退货单详情',
      //             icon: 'frown',
      //             hidden: true
      //             // permission: 'B_goodsManage_edit'
      //           }
      //         }
      //       ]
      //     }
      //   ]
      // },
      // 财务管理
      {
        path: '/financialManagement',
        redirect: '/financialManagement/warehousingAudit',
        component: PageView,
        meta: {
          title: '财务管理',
          icon: 'property-safety'
          // permission: 'M_shop'
        },
        children: [
          {
            path: '/financialManagement/warehousingAudit',
            redirect: '/financialManagement/warehousingAudit/list',
            name: 'warehousingAudit',
            component: RouteView,
            meta: {
              title: '入库审核',
              icon: 'pull-request'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'warehousingAuditList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/warehousingAudit/list.vue'),
                meta: {
                  title: '入库审核列表',
                  icon: 'pull-request',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              },
              {
                path: 'detail/:id',
                name: 'warehousingAuditDetail',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/warehousingAudit/detail.vue'),
                meta: {
                  title: '入库审核详情',
                  icon: 'pull-request',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          },
          {
            path: '/financialManagement/inventoryReview',
            redirect: '/financialManagement/inventoryReview/list',
            name: 'inventoryReview',
            component: RouteView,
            meta: {
              title: '盘点审核',
              icon: 'laptop'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'inventoryReviewList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/inventoryReview/list.vue'),
                meta: {
                  title: '盘点审核列表',
                  icon: 'laptop',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              },
              {
                path: 'detail/:id',
                name: 'inventoryReviewDetail',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/inventoryReview/detail.vue'),
                meta: {
                  title: '盘点审核详情',
                  icon: 'laptop',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          },
          {
            path: '/financialManagement/financialPayment',
            redirect: '/financialManagement/financialPayment/list',
            name: 'financialPayment',
            component: RouteView,
            meta: {
              title: '财务付款',
              icon: 'pay-circle'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'financialPaymentList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/financialPayment/list.vue'),
                meta: {
                  title: '财务付款列表',
                  icon: 'pay-circle',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          },
          {
            path: '/financialManagement/financialCollection',
            redirect: '/financialManagement/financialCollection/list',
            name: 'financialCollection',
            component: RouteView,
            meta: {
              title: '财务收款',
              icon: 'money-collect'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'financialCollectionList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/financialCollection/list.vue'),
                meta: {
                  title: '财务收款列表',
                  icon: 'money-collect',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          },
          {
            path: '/financialManagement/expenseManagement',
            redirect: '/financialManagement/expenseManagement/list',
            name: 'expenseManagement',
            component: RouteView,
            meta: {
              title: '费用管理',
              icon: 'pound'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'expenseManagementList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/expenseManagement/list.vue'),
                meta: {
                  title: '费用单列表',
                  icon: 'pound',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              },
              {
                path: 'add',
                name: 'expenseManagementDetail',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/expenseManagement/edit.vue'),
                meta: {
                  title: '新增费用单',
                  icon: 'pound',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'edit/:id',
                name: 'expenseManagementDetail',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/expenseManagement/edit.vue'),
                meta: {
                  title: '编辑费用单',
                  icon: 'pound',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          },
          {
            path: '/financialManagement/companyReceivablePayable',
            redirect: '/financialManagement/companyReceivablePayable/list',
            name: 'companyReceivablePayable',
            component: RouteView,
            meta: {
              title: '单位应收应付管理',
              icon: 'transaction'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'companyReceivablePayableList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/companyReceivablePayable/list.vue'),
                meta: {
                  title: '单位应收应付列表',
                  icon: 'transaction',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              },
              {
                path: 'receipt/:id',
                name: 'companyReceivablePayableReceipt',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/companyReceivablePayable/receipt.vue'),
                meta: {
                  title: '单位收款单',
                  icon: 'transaction',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'paymentSlip/:id',
                name: 'companyReceivablePayablePaymentSlip',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/companyReceivablePayable/paymentSlip.vue'),
                meta: {
                  title: '单位付款单',
                  icon: 'transaction',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'detail/:id',
                name: 'companyReceivablePayableDetail',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/companyReceivablePayable/detail.vue'),
                meta: {
                  title: '单位应收应付详情',
                  icon: 'transaction',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          },
          {
            path: '/financialManagement/companyCollectionPayment',
            redirect: '/financialManagement/companyCollectionPayment/list',
            name: 'companyCollectionPayment',
            component: RouteView,
            meta: {
              title: '单位收付款记录',
              icon: 'file-protect'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'companyCollectionPaymentList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/companyCollectionPayment/list.vue'),
                meta: {
                  title: '单位收付款记录列表',
                  icon: 'file-protect',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              },
              {
                path: 'detail/:id',
                name: 'companyCollectionPaymentDetail',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/companyCollectionPayment/detail.vue'),
                meta: {
                  title: '单位收付款记录详情',
                  icon: 'file-protect',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          },
          {
            path: '/financialManagement/withdrawalManagement',
            redirect: '/financialManagement/withdrawalManagement/list',
            name: 'withdrawalManagement',
            component: RouteView,
            meta: {
              title: '提现管理',
              icon: 'dollar'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'withdrawalManagementList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/withdrawalManagement/list.vue'),
                meta: {
                  title: '提现管理列表',
                  icon: 'dollar',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          },
          {
            path: '/financialManagement/ledgerRecord',
            redirect: '/financialManagement/ledgerRecord/list',
            name: 'ledgerRecord',
            component: RouteView,
            meta: {
              title: '分账记录',
              icon: 'profile'
              // permission: 'M_goodsManage_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'ledgerRecordList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/ledgerRecord/list.vue'),
                meta: {
                  title: '分账记录列表',
                  icon: 'profile',
                  hidden: true
                  // permission: 'M_goodsManage_list'
                }
              }
            ]
          }
        ]
      },
      // 基础设置
      {
        path: '/basicData',
        redirect: '/basicData/storeTransferOutTypeManagement',
        component: PageView,
        meta: {
          title: '基础设置',
          icon: 'pushpin',
          permission: 'M_basicData'
        },
        children: [
          {
            path: '/basicData/storeTransferOutTypeManagement',
            redirect: '/basicData/storeTransferOutTypeManagement/list',
            name: 'storeTransferOutTypeManagement',
            component: RouteView,
            meta: {
              title: '店内调出类型管理',
              icon: 'interaction',
              permission: 'M_basicData_storeTransferOutType_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'storeTransferOutTypeManagementList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/basicData/storeTransferOutTypeManagement/list.vue'),
                meta: {
                  title: '店内调出类型管理列表',
                  icon: 'interaction',
                  hidden: true,
                  permission: 'M_basicData_storeTransferOutType_list'
                }
              }
            ]
          },
          {
            path: '/basicData/bulkPartsTypeManagement',
            redirect: '/basicData/bulkPartsTypeManagement/list',
            name: 'bulkPartsTypeManagement',
            component: RouteView,
            meta: {
              title: '散件入库类型管理',
              icon: 'gold',
              permission: 'M_basicData_bulkPartsType_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'bulkPartsTypeManagementList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/basicData/bulkPartsTypeManagement/list.vue'),
                meta: {
                  title: '散件入库类型列表',
                  icon: 'gold',
                  hidden: true,
                  permission: 'M_basicData_bulkPartsType_list'
                }
              }
            ]
          },
          {
            path: '/basicData/expenseType',
            redirect: '/basicData/expenseType/list',
            name: 'expenseType',
            component: RouteView,
            meta: {
              title: '费用类型管理',
              icon: 'pay-circle',
              permission: 'M_basicData_expenseType_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'expenseTypeList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/basicData/expenseType/list.vue'),
                meta: {
                  title: '费用类型列表',
                  icon: 'pay-circle',
                  hidden: true,
                  permission: 'M_basicData_expenseType_list'
                }
              }
            ]
          },
          // {
          //   path: '/basicData/processSettings',
          //   redirect: '/basicData/processSettings/setup',
          //   name: 'processSettings',
          //   component: RouteView,
          //   meta: {
          //     title: '业务自动化设置',
          //     icon: 'sliders'
          //     // permission: 'M_goodsManage_list'
          //   },
          //   hideChildrenInMenu: true,
          //   children: [
          //     {
          //       path: 'setup',
          //       name: 'processSettingsSetup',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/basicData/processSettings/setup.vue'),
          //       meta: {
          //         title: '业务自动化设置',
          //         icon: 'sliders',
          //         hidden: true
          //         // permission: 'M_goodsManage_list'
          //       }
          //     }
          //   ]
          // },
          {
            path: '/basicData/customerTypeManagement',
            redirect: '/basicData/customerTypeManagement/list',
            name: 'customerTypeManagement',
            component: RouteView,
            meta: {
              title: '客户类型管理',
              icon: 'idcard',
              permission: 'M_basicData_customerType_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'customerTypeManagementList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/basicData/customerTypeManagement/list.vue'),
                meta: {
                  title: '客户类型列表',
                  icon: 'idcard',
                  hidden: true,
                  permission: 'M_basicData_customerType_list'
                }
              }
            ]
          }
        ]
      },
      // auth
      {
        path: '/auth',
        redirect: '/auth/userList',
        component: PageView,
        meta: {
          title: '权限管理',
          icon: 'lock',
          permission: 'M_powerMD_0'
        },
        children: [
          {
            path: '/auth/userList',
            name: 'powerUserList',
            component: () => import(/* webpackChunkName: "auth" */ '@/views/power/user/userList.vue'),
            meta: {
              title: '用户管理',
              icon: 'user',
              permission: 'M_powerMD_user_list'
            }
          },
          {
            path: '/auth/roleList',
            name: 'powerRoleList',
            component: () => import(/* webpackChunkName: "auth" */ '@/views/power/role/roleList.vue'),
            meta: {
              title: '角色管理',
              icon: 'solution',
              permission: 'M_powerMD_role_list'
            }
          }
        ]
      }
      // 系统设置
      // {
      //   path: '/setting',
      //   redirect: '/setting/userList',
      //   component: PageView,
      //   meta: {
      //     title: '系统设置',
      //     icon: 'setting'
      //     // permission: 'M_setting_0'
      //   },
      //   children: [
      //     {
      //       path: '/setting/dataDictionary',
      //       name: 'powerDD',
      //       component: () => import(/* webpackChunkName: "setting" */
      //         '@/views/power/dataDictionary/dataDictionary.vue'),
      //       meta: {
      //         title: '数据字典管理',
      //         icon: 'database'
      //         // permission: 'M_sys_dataDictionary'
      //       }
      //     },
      //     // {
      //     //   path: '/setting/register',
      //     //   name: 'powerRegister',
      //     //   component: () => import(/* webpackChunkName: "setting" */ '@/views/power/register/register.vue'),
      //     //   meta: {
      //     //     title: '参数管理',
      //     //     icon: 'key',
      //     //     permission: 'M_sys_register'
      //     //   }
      //     // },
      //     {
      //       path: '/setting/OperateJournal',
      //       name: 'powerOperateJournal',
      //       component: () => import(/* webpackChunkName: "setting" */
      //         '@/views/power/OperateJournal/OperateJournal.vue'),
      //       meta: {
      //         title: '操作日志',
      //         icon: 'read'
      //         // permission: 'M_operateJournal'
      //       }
      //     }
      //   ]
      // }
    ]
  },
  {
    path: '*',
    redirect: '/404',
    hidden: true
  }
]

/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [
  {
    path: '/user',
    component: UserLayout,
    redirect: '/user/login',
    hidden: true,
    children: [
      {
        path: 'login',
        name: 'login',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/Login')
      },
      {
        path: 'register',
        name: 'register',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/Register')
      },
      {
        path: 'register-result',
        name: 'registerResult',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/RegisterResult')
      },
      {
        path: 'recover',
        name: 'recover',
        component: undefined
      }
    ]
  },
  {
    path: '/404',
    component: () => import(/* webpackChunkName: "fail" */ '@/views/exception/404')
  }
]
